<?xml version="1.0"?>
<!--
  ~ #%L
  ~ chvote-pact
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<assembly>
    <id>testDbAssembly</id>
    <formats>
        <format>zip</format>
    </formats>
    <includeBaseDirectory>false</includeBaseDirectory>
    <dependencySets>
        <dependencySet>
            <outputDirectory>/</outputDirectory>
            <scope>runtime</scope>
        </dependencySet>
    </dependencySets>
    <files>
        <file>
            <source>target/${artifactId}-${version}.${packaging}</source>
            <outputDirectory>${file.separator}</outputDirectory>
            <destName>testdb.jar</destName>
        </file>
        <file>
            <source>src/main/sh/testdb.sh</source>
            <outputDirectory>${file.separator}</outputDirectory>
        </file>
        <file>
            <source>src/main/sh/waitdb_and_run_backend.sh</source>
            <outputDirectory>${file.separator}</outputDirectory>
        </file>
    </files>
</assembly>